package com.unis.mobileInfo.modular.dropdownSelection.service;

import com.unis.mobileInfo.modular.dropdownSelection.mapper.SelectionMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-04-28 20:21
 */
public interface SelectionService {

    List<Map<String, Object>> selectionOrg();

    List<Map<String, Object>> selectCarType();


    @Service
    class SelectionServiceImpl implements SelectionService {
        @Resource
        private SelectionMapper selectionMapper;

        @Override
        public List<Map<String, Object>> selectionOrg() {
            return selectionMapper.selectionOrg();
        }

        @Override
        public List<Map<String, Object>> selectCarType() {
            // dev_dict.PARENT_ID = '1784568513641082882'
            return selectionMapper.selectCarType();
        }
    }

}
